Commit f66ce563 authored by agurov's avatar agurov

version change

git-svn-id: https://dev.eclipse.org/svnroot/technology/org.eclipse.subversive/trunk@21479 ee007c2a-0a25-0410-9ab9-bf268980928c
parent 4e3b66dd
......@@ -8,6 +8,20 @@
Now the Subversive project was moved to Eclipse.org and new version numbers was introduced.
Change Log's for older versions still present in this file.
Version 3.0.0.I20150529-1700 [29 May 2015]
Features:
* "set keywords" grayed out for folders (no recursion allowed) (bug 467303)
Fixes:
* Improve RefreshResourcesOperation performance (bug 465920)
* NullPointerException on SVN history view (JFace plugin) (bug 466983)
* ArrayIndexOutOfBoundsException in UpdateSubscriber [ID-OJ8UD] (bug 467720)
* NumberFormatException while performing "Synchronize with repository" [ID-FE6ZC] (bug 465812)
* File content comparison editor shouldn't be opened for conflicted folders [ID-HJ1S2] (bug 468639)
--------------------------------------------------------------------------------
Version 3.0.0.I20150317-1700 [17 March 2015]
Features:
......
......@@ -2,7 +2,7 @@
<feature
id="org.eclipse.team.svn"
label="%featureName"
version="3.0.0.I20150317-1700"
version="3.0.0.I20150529-1700"
provider-name="%providerName"
plugin="org.eclipse.team.svn">
<install-handler/>
......@@ -50,35 +50,35 @@
id="org.eclipse.team.svn"
download-size="4"
install-size="4"
version="3.0.0.I20150317-1700"
version="3.0.0.I20150529-1700"
unpack="false"/>
<plugin
id="org.eclipse.team.svn.core"
download-size="900"
install-size="900"
version="3.0.0.I20150317-1700"
version="3.0.0.I20150529-1700"
unpack="false"/>
<plugin
id="org.eclipse.team.svn.ui"
download-size="1600"
install-size="1600"
version="3.0.0.I20150317-1700"
version="3.0.0.I20150529-1700"
unpack="false"/>
<plugin
id="org.eclipse.team.svn.ui.startup"
download-size="1600"
install-size="1600"
version="3.0.0.I20150317-1700"
version="3.0.0.I20150529-1700"
unpack="false"/>
<plugin
id="org.eclipse.team.svn.help"
download-size="1900"
install-size="1900"
version="3.0.0.I20150317-1700"
version="3.0.0.I20150529-1700"
unpack="false"/>
</feature>
......@@ -5,23 +5,29 @@
* See details at http://www.eclipse.org/subversive *
********************************************************************************
Version 2.0.4.I20150123-1700 release date: 23 January 2015
Version 3.0.0.I20150529-1700 release date: 29 May 2015
1. What's New
The version is 2.0.4 service release.
The version is 3.0.0 is a major release. It is incompatible with connectors version 4.x or earlier due to breaking API changes.
Changes comparatively to the previous release version are listed below. The full list of
changes you can find in Change Log.
Features:
* Add typical SVN errors description and possible solutions to help pages (bug 457516)
* "set keywords" grayed out for folders (no recursion allowed) (bug 467303)
* Refactor SVN API support [use strict types for constant enumerations, improve error codes etc.] (bug 462326)
* Update plug-ins API compatibility version (bug 462338)
* Update integrations according to API changes (bug 462327)
Fixes:
* Can't install Subversive SVN Integration for the M2E Project v2.0.3 (bug 457869)
* NPE at CopyRemoteResourcesToWcOperation [ID-QI8GK] (bug 457835)
* JRE 1.6 incompatibility [ID-HK8DF] (bug 456334)
* Automatic properties do not get applied to new files (bug 456640)
* Improve RefreshResourcesOperation performance (bug 465920)
* NullPointerException on SVN history view (JFace plugin) (bug 466983)
* ArrayIndexOutOfBoundsException in UpdateSubscriber [ID-OJ8UD] (bug 467720)
* NumberFormatException while performing "Synchronize with repository" [ID-FE6ZC] (bug 465812)
* File content comparison editor shouldn't be opened for conflicted folders [ID-HJ1S2] (bug 468639)
* Useless SVNProperty conversion in AddToSVNWithPropertiesOperation (bug 461199)
* Problems using blank spaces for a folder. (bug 459010)
2. Information
......@@ -29,16 +35,16 @@ Version 2.0.4.I20150123-1700 release date: 23 January 2015
2.1. System Requirements
Subversive requires JDK 1.6 or higher and supports following versions of Eclipse:
* 4.2
* 4.3
* 4.4
* 4.5
Subversive supports
Migration for Subversion below version 1.6 to version 1.7 and higher,
Subversion version 1.7 with SVN Kit 1.7.13 and JavaHL 1.7.9,
Subversion version 1.8 with SVN Kit 1.8.7 and JavaHL 1.8.10
Subversion version 1.7 with SVN Kit 1.7.14 and JavaHL 1.7.9,
Subversion version 1.8 with SVN Kit 1.8.10 and JavaHL 1.8.13
2.2 Known issues
* "Deadlock when JNA is loading" problem on Mac OS X [using SVN Kit 1.7.13 connector]
* "Deadlock when JNA is loading" problem on Mac OS X [using SVN Kit 1.7.14 connector]
\ No newline at end of file
......@@ -2,7 +2,7 @@
<feature
id="org.eclipse.team.svn.core"
label="%featureName"
version="3.0.0.I20150317-1700"
version="3.0.0.I20150529-1700"
provider-name="%providerName"
plugin="org.eclipse.team.svn.core">
<install-handler/>
......@@ -34,14 +34,14 @@
id="org.eclipse.team.svn.core"
download-size="900"
install-size="900"
version="3.0.0.I20150317-1700"
version="3.0.0.I20150529-1700"
unpack="false"/>
<plugin
id="org.eclipse.team.svn.core.nl1"
download-size="10"
install-size="10"
version="3.0.0.I20150317-1700"
version="3.0.0.I20150529-1700"
fragment="true"
unpack="false"/>
......
......@@ -3,6 +3,6 @@ Bundle-RequiredExecutionEnvironment: J2SE-1.5, JavaSE-1.6
Bundle-ManifestVersion: 2
Bundle-Name: Localization
Bundle-SymbolicName: org.eclipse.team.svn.core.nl1
Bundle-Version: 3.0.0.I20150317-1700
Bundle-Version: 3.0.0.I20150529-1700
Fragment-Host: org.eclipse.team.svn.core;bundle-version="[0.7.0,4.0.0)"
Bundle-Vendor: Eclipse.org
......@@ -4,7 +4,7 @@
<description url="http://download.eclipse.org/technology/subversive/1.1/headless-update-site/">
Eclipse Subversive - SVN Team Provider Core
</description>
<feature url="features/org.eclipse.team.svn.core_3.0.0.I20150317-1700.jar" id="org.eclipse.team.svn.core" version="3.0.0.I20150317-1700">
<feature url="features/org.eclipse.team.svn.core_3.0.0.I20150529-1700.jar" id="org.eclipse.team.svn.core" version="3.0.0.I20150529-1700">
<category name="Subversive Core"/>
</feature>
<category-def name="Subversive Core" label="Subversive SVN Team Provider Core">
......
......@@ -3,7 +3,7 @@ Bundle-RequiredExecutionEnvironment: J2SE-1.5, JavaSE-1.6
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.team.svn.core;singleton:=true
Bundle-Version: 3.0.0.I20150317-1700
Bundle-Version: 3.0.0.I20150529-1700
Bundle-ClassPath: .
Bundle-Activator: org.eclipse.team.svn.core.SVNTeamPlugin
Bundle-Vendor: %providerName
......
......@@ -3,7 +3,7 @@ Bundle-RequiredExecutionEnvironment: J2SE-1.5, JavaSE-1.6
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.team.svn.help;singleton:=true
Bundle-Version: 3.0.0.I20150317-1700
Bundle-Version: 3.0.0.I20150529-1700
Bundle-Vendor: %providerName
Bundle-Localization: plugin
Require-Bundle: org.eclipse.help
......@@ -2,7 +2,7 @@
<feature
id="org.eclipse.team.svn.m2e"
label="%featureName"
version="3.0.0.I20150317-1700"
version="3.0.0.I20150529-1700"
provider-name="%providerName"
colocation-affinity="org.eclipse.team.svn">
<install-handler/>
......@@ -21,7 +21,7 @@
</url>
<requires>
<import feature="org.eclipse.team.svn" version="3.0.0.I20150317-1700" match="compatible"/>
<import feature="org.eclipse.team.svn" version="3.0.0.I20150529-1700" match="compatible"/>
<import plugin="org.eclipse.ui"/>
<import plugin="org.eclipse.ui.ide"/>
<import plugin="org.eclipse.core.runtime"/>
......@@ -35,7 +35,7 @@
id="org.eclipse.team.svn.m2e"
download-size="26"
install-size="26"
version="3.0.0.I20150317-1700"
version="3.0.0.I20150529-1700"
unpack="false"/>
</feature>
......@@ -3,7 +3,7 @@ Bundle-RequiredExecutionEnvironment: J2SE-1.5, JavaSE-1.6
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.team.svn.m2e;singleton:=true
Bundle-Version: 3.0.0.I20150317-1700
Bundle-Version: 3.0.0.I20150529-1700
Bundle-Vendor: %providerName
Bundle-Activator: org.eclipse.team.svn.m2e.M2ESVNPlugin
Bundle-Localization: plugin
......
......@@ -2,7 +2,7 @@
<feature
id="org.eclipse.team.svn.mylyn"
label="%featureName"
version="3.0.0.I20150317-1700"
version="3.0.0.I20150529-1700"
provider-name="%providerName"
colocation-affinity="org.eclipse.team.svn">
<install-handler/>
......@@ -25,7 +25,7 @@
<import feature="org.eclipse.mylyn.ide_feature" version="3.0.0" match="compatible"/>
<import feature="org.eclipse.mylyn.context_feature" version="3.0.0" match="compatible"/>
<import feature="org.eclipse.mylyn.bugzilla_feature" version="3.0.0" match="compatible"/>
<import feature="org.eclipse.team.svn" version="3.0.0.I20150317-1700" match="compatible"/>
<import feature="org.eclipse.team.svn" version="3.0.0.I20150529-1700" match="compatible"/>
<import plugin="org.eclipse.core.resources"/>
<import plugin="org.eclipse.team.core"/>
<import plugin="org.eclipse.team.ui"/>
......@@ -47,7 +47,7 @@
id="org.eclipse.team.svn.mylyn"
download-size="20"
install-size="20"
version="3.0.0.I20150317-1700"
version="3.0.0.I20150529-1700"
unpack="false"/>
</feature>
......@@ -3,7 +3,7 @@ Bundle-RequiredExecutionEnvironment: J2SE-1.5, JavaSE-1.6
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.team.svn.mylyn;singleton:=true
Bundle-Version: 3.0.0.I20150317-1700
Bundle-Version: 3.0.0.I20150529-1700
Bundle-Vendor: %providerName
Bundle-Activator: org.eclipse.team.svn.mylyn.SVNMylynIntegrationPlugin
Bundle-Localization: plugin
......
......@@ -2,7 +2,7 @@
<feature
id="org.eclipse.team.svn.nl1"
label="%featureName"
version="3.0.0.I20150317-1700"
version="3.0.0.I20150529-1700"
provider-name="%providerName"
plugin="org.eclipse.team.svn.nl1"
colocation-affinity="org.eclipse.team.svn">
......@@ -30,14 +30,14 @@
id="org.eclipse.team.svn.nl1"
download-size="4"
install-size="4"
version="3.0.0.I20150317-1700"
version="3.0.0.I20150529-1700"
unpack="false"/>
<plugin
id="org.eclipse.team.svn.core.nl1"
download-size="10"
install-size="10"
version="3.0.0.I20150317-1700"
version="3.0.0.I20150529-1700"
fragment="true"
unpack="false"/>
......@@ -45,7 +45,7 @@
id="org.eclipse.team.svn.ui.nl1"
download-size="40"
install-size="40"
version="3.0.0.I20150317-1700"
version="3.0.0.I20150529-1700"
fragment="true"
unpack="false"/>
......
......@@ -3,6 +3,6 @@ Bundle-RequiredExecutionEnvironment: J2SE-1.5, JavaSE-1.6
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.team.svn.nl1;singleton:=true
Bundle-Version: 3.0.0.I20150317-1700
Bundle-Version: 3.0.0.I20150529-1700
Bundle-Vendor: %providerName
Bundle-Localization: plugin
......@@ -2,7 +2,7 @@
<feature
id="org.eclipse.team.svn.resource.ignore.rules.jdt"
label="%featureName"
version="3.0.0.I20150317-1700"
version="3.0.0.I20150529-1700"
provider-name="%providerName"
colocation-affinity="org.eclipse.team.svn">
......@@ -23,14 +23,14 @@
<import plugin="org.eclipse.core.resources"/>
<import plugin="org.eclipse.core.runtime"/>
<import plugin="org.eclipse.jdt.core"/>
<import plugin="org.eclipse.team.svn.core" version="3.0.0.I20150317-1700" match="compatible"/>
<import plugin="org.eclipse.team.svn.core" version="3.0.0.I20150529-1700" match="compatible"/>
</requires>
<plugin
id="org.eclipse.team.svn.resource.ignore.rules.jdt"
download-size="7"
install-size="7"
version="3.0.0.I20150317-1700"
version="3.0.0.I20150529-1700"
unpack="false"/>
</feature>
......@@ -3,7 +3,7 @@ Bundle-RequiredExecutionEnvironment: J2SE-1.5, JavaSE-1.6
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.team.svn.resource.ignore.rules.jdt;singleton:=true
Bundle-Version: 3.0.0.I20150317-1700
Bundle-Version: 3.0.0.I20150529-1700
Bundle-Vendor: %providerName
Bundle-Localization: plugin
Bundle-ClassPath: .
......
......@@ -2,7 +2,7 @@
<feature
id="org.eclipse.team.svn.revision.graph"
label="%featureName"
version="3.0.0.I20150317-1700"
version="3.0.0.I20150529-1700"
provider-name="%providerName">
<description>
......@@ -19,7 +19,7 @@
</url>
<requires>
<import feature="org.eclipse.team.svn" version="3.0.0.I20150317-1700" match="compatible"/>
<import feature="org.eclipse.team.svn" version="3.0.0.I20150529-1700" match="compatible"/>
<import feature="org.eclipse.gef" version="3.4.0" match="compatible"/>
<import plugin="org.eclipse.core.runtime"/>
<import plugin="org.eclipse.core.resources"/>
......@@ -36,7 +36,7 @@
id="org.eclipse.team.svn.revision.graph"
download-size="7"
install-size="7"
version="3.0.0.I20150317-1700"
version="3.0.0.I20150529-1700"
unpack="false"/>
</feature>
......@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.team.svn.revision.graph;singleton:=true
Bundle-Version: 3.0.0.I20150317-1700
Bundle-Version: 3.0.0.I20150529-1700
Bundle-RequiredExecutionEnvironment: J2SE-1.5,
JavaSE-1.6
Bundle-Vendor: %providerName
......
......@@ -2,7 +2,7 @@
<feature
id="org.eclipse.team.svn.source"
label="%featureName"
version="3.0.0.I20150317-1700"
version="3.0.0.I20150529-1700"
provider-name="%providerName"
colocation-affinity="org.eclipse.team.svn">
......@@ -21,26 +21,26 @@
<includes
id="org.eclipse.team.svn.sources"
version="3.0.0.I20150317-1700"/>
version="3.0.0.I20150529-1700"/>
<includes
id="org.eclipse.team.svn.nl1.sources"
version="3.0.0.I20150317-1700"/>
version="3.0.0.I20150529-1700"/>
<includes
id="org.eclipse.team.svn.resource.ignore.rules.jdt.sources"
version="3.0.0.I20150317-1700"/>
version="3.0.0.I20150529-1700"/>
<includes
id="org.eclipse.team.svn.mylyn.sources"
version="3.0.0.I20150317-1700"/>
version="3.0.0.I20150529-1700"/>
<includes
id="org.eclipse.team.svn.m2e.sources"
version="3.0.0.I20150317-1700"/>
version="3.0.0.I20150529-1700"/>
<includes
id="org.eclipse.team.svn.revision.graph.sources"
version="3.0.0.I20150317-1700"/>
version="3.0.0.I20150529-1700"/>
</feature>
......@@ -2,7 +2,7 @@
<feature
id="org.eclipse.team.svn.ui.capabilities"
label="%featureName"
version="3.0.0.I20150317-1700"
version="3.0.0.I20150529-1700"
provider-name="%providerName"
plugin="org.eclipse.team.svn.ui.capabilities">
......@@ -27,7 +27,7 @@
id="org.eclipse.team.svn.ui.capabilities"
download-size="0"
install-size="0"
version="3.0.0.I20150317-1700"
version="3.0.0.I20150529-1700"
unpack="false"/>
</feature>
......@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.team.svn.ui.capabilities;singleton:=true
Bundle-Version: 3.0.0.I20150317-1700
Bundle-Version: 3.0.0.I20150529-1700
Bundle-Vendor: %providerName
Require-Bundle: org.eclipse.ui
Bundle-Localization: plugin
......@@ -3,7 +3,7 @@ Bundle-RequiredExecutionEnvironment: J2SE-1.5, JavaSE-1.6
Bundle-ManifestVersion: 2
Bundle-Name: Localization
Bundle-SymbolicName: org.eclipse.team.svn.ui.nl1
Bundle-Version: 3.0.0.I20150317-1700
Bundle-Version: 3.0.0.I20150529-1700
Fragment-Host: org.eclipse.team.svn.ui;bundle-version="[0.7.0,4.0.0)"
Bundle-Localization: plugin
Bundle-Vendor: Eclipse.org
......@@ -3,7 +3,7 @@ Bundle-RequiredExecutionEnvironment: J2SE-1.5, JavaSE-1.6
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.team.svn.ui.startup;singleton:=true
Bundle-Version: 3.0.0.I20150317-1700
Bundle-Version: 3.0.0.I20150529-1700
Bundle-Vendor: %providerName
Bundle-Activator: org.eclipse.team.svn.ui.startup.SVNStartupPlugin
Bundle-Localization: plugin
......
......@@ -3,7 +3,7 @@ Bundle-RequiredExecutionEnvironment: J2SE-1.5, JavaSE-1.6
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.team.svn.ui;singleton:=true
Bundle-Version: 3.0.0.I20150317-1700
Bundle-Version: 3.0.0.I20150529-1700
Bundle-ClassPath: .
Bundle-Activator: org.eclipse.team.svn.ui.SVNTeamUIPlugin
Bundle-Vendor: %providerName
......
......@@ -4,25 +4,25 @@
<description url="http://download.eclipse.org/technology/subversive/3.0/update-site/">
Eclipse Subversive - SVN Team Provider
</description>
<feature url="features/org.eclipse.team.svn_3.0.0.I20150317-1700.jar" id="org.eclipse.team.svn" version="3.0.0.I20150317-1700">
<feature url="features/org.eclipse.team.svn_3.0.0.I20150529-1700.jar" id="org.eclipse.team.svn" version="3.0.0.I20150529-1700">
<category name="Subversive"/>
</feature>
<feature url="features/org.eclipse.team.svn.nl1_3.0.0.I20150317-1700.jar" id="org.eclipse.team.svn.nl1" version="3.0.0.I20150317-1700">
<feature url="features/org.eclipse.team.svn.nl1_3.0.0.I20150529-1700.jar" id="org.eclipse.team.svn.nl1" version="3.0.0.I20150529-1700">
<category name="Subversive"/>
</feature>
<feature url="features/org.eclipse.team.svn.resource.ignore.rules.jdt_3.0.0.I20150317-1700.jar" id="org.eclipse.team.svn.resource.ignore.rules.jdt" version="3.0.0.I20150317-1700">
<feature url="features/org.eclipse.team.svn.resource.ignore.rules.jdt_3.0.0.I20150529-1700.jar" id="org.eclipse.team.svn.resource.ignore.rules.jdt" version="3.0.0.I20150529-1700">
<category name="Subversive"/>
</feature>
<feature url="features/org.eclipse.team.svn.mylyn_3.0.0.I20150317-1700.jar" id="org.eclipse.team.svn.mylyn" version="3.0.0.I20150317-1700">
<feature url="features/org.eclipse.team.svn.mylyn_3.0.0.I20150529-1700.jar" id="org.eclipse.team.svn.mylyn" version="3.0.0.I20150529-1700">
<category name="Subversive Integration"/>
</feature>
<feature url="features/org.eclipse.team.svn.m2e_3.0.0.I20150317-1700.jar" id="org.eclipse.team.svn.m2e" version="3.0.0.I20150317-1700">
<feature url="features/org.eclipse.team.svn.m2e_3.0.0.I20150529-1700.jar" id="org.eclipse.team.svn.m2e" version="3.0.0.I20150529-1700">
<category name="Subversive Integration"/>
</feature>
<feature url="features/org.eclipse.team.svn.revision.graph_3.0.0.I20150317-1700.jar" id="org.eclipse.team.svn.revision.graph" version="3.0.0.I20150317-1700">
<feature url="features/org.eclipse.team.svn.revision.graph_3.0.0.I20150529-1700.jar" id="org.eclipse.team.svn.revision.graph" version="3.0.0.I20150529-1700">
<category name="Subversive"/>
</feature>
<feature url="features/org.eclipse.team.svn.source_3.0.0.I20150317-1700.jar" id="org.eclipse.team.svn.source" version="3.0.0.I20150317-1700">
<feature url="features/org.eclipse.team.svn.source_3.0.0.I20150529-1700.jar" id="org.eclipse.team.svn.source" version="3.0.0.I20150529-1700">
<category name="Subversive Sources"/>
</feature>
<category-def name="Subversive" label="Subversive SVN Team Provider Plugin">
......
......@@ -3,7 +3,7 @@ Bundle-RequiredExecutionEnvironment: J2SE-1.5, JavaSE-1.6
Bundle-ManifestVersion: 2
Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.team.svn;singleton:=true
Bundle-Version: 3.0.0.I20150317-1700
Bundle-Version: 3.0.0.I20150529-1700
Bundle-Vendor: %providerName
Bundle-Localization: plugin
Require-Bundle: org.eclipse.ui.intro,
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment